Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034537
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Modules] Intrastat for Spainmajoralways2016-11-15 19:182018-10-09 18:06
ReporterpsanjuanView Statuspublic 
Assigned ToOpentix-Test 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision5805817eeef1
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Tovmromanos
Regression introduced in release
Summary

0034537: Not possible to apply Intrastat for Spain dataset in more than one Organization (Legal) at the same level.

DescriptionNot possible to apply Intrastat for Spain dataset in more than one Organization (Legal) at the same level.
Steps To ReproduceAs system admin install "Intrastat" and "Intrastat for Spain" module.

As F&B Internation group admin role go to "Enterprise Module Management".
Select F&B España and apply "Incoterms" and "Intrastat for Spain" dataset.

Check both datasets are applied successfully.

Run Initial Organization setup and create another organization under F&B International Group located in Spain with below setup:
- legal with accounting
- parent organization "F&B International Group".
- EUR
- select a chart of accounts
- enter a location in Spain.

Go to Fiscal Calendar and create a new calendar for the new organization. Configure it as "Intrastat Calendar". Create 2016 periods.

Go to Organization window, select the new organization created and configure it as "Allow Period Control", select the calendar and run set as Ready process.

Go to Enterprise module management and select the new organization.
Select "Incoterms" and "Intrastat for Spain" organization.

It is not possible to apply Intrastat for Spain dataset. Below error is shown.
Proposed SolutionIt should be possible to apply Intrastat for Spain, to more than one legal entities at the same level.
TagsNo tags attached.
Attached Filesjpg file icon Issue_34537.jpg [^] (44,707 bytes) 2016-11-15 19:19

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106444)
psanjuan (manager)
2018-08-22 13:53
edited on: 2018-08-22 13:54

This issue has been reported by a partner in Opentix support platform with this issue number:
https://aitana.zendesk.com/agent/tickets/40093 [^]

Needs to be analized therefore it has been changed to Design Defect.

(0107230)
hgbot (developer)
2018-10-09 18:05

Repository: erp/pmods/org.openbravo.module.intrastat
Changeset: 5805817eeef1e815b2a0e13a02b823615a4d19b5
Author: Iñaki Monferrer Altava <imonferrer <at> opentix.es>
Date: Mon Sep 24 09:49:21 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.intrastat/rev/5805817eeef1e815b2a0e13a02b823615a4d19b5 [^]

Fixed bug 34537: Not possible apply dataset in various legal orgs at same level
Not possible to apply Intrastat for Spain dataset in more than one Organization (Legal) at the same level. Deleted intr_java_client_countr_un constraint in intr_javaclass table.

---
M src-db/database/model/tables/INTR_JAVACLASS.xml
M src-db/database/sourcedata/AD_MODULE.xml
---
(0107231)
vmromanos (manager)
2018-10-09 18:06

Code review + testing OK.

Fixed in Intrastat 3.0.600 or higher

- Issue History
Date Modified Username Field Change
2016-11-15 19:18 psanjuan New Issue
2016-11-15 19:19 psanjuan File Added: Issue_34537.jpg
2016-11-15 19:19 psanjuan Proposed Solution updated
2016-11-15 19:20 psanjuan Steps to Reproduce Updated View Revisions
2018-08-13 15:14 ngarcia Issue Monitored: ngarcia
2018-08-22 13:53 psanjuan Note Added: 0106444
2018-08-22 13:53 psanjuan Type defect => design defect
2018-08-22 13:54 psanjuan Note Edited: 0106444 View Revisions
2018-08-22 13:55 psanjuan Assigned To => Opentix-Test
2018-10-09 18:03 vmromanos Status new => scheduled
2018-10-09 18:05 hgbot Checkin
2018-10-09 18:05 hgbot Note Added: 0107230
2018-10-09 18:05 hgbot Status scheduled => resolved
2018-10-09 18:05 hgbot Resolution open => fixed
2018-10-09 18:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.module.intrastat/rev/5805817eeef1e815b2a0e13a02b823615a4d19b5 [^]
2018-10-09 18:06 vmromanos Review Assigned To => vmromanos
2018-10-09 18:06 vmromanos Note Added: 0107231
2018-10-09 18:06 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker